gr::satellites::viterbi_decoder Class Reference

Viterbi decoder. More...

`#include <viterbi_decoder.h>`

Inheritance diagram for gr::satellites::viterbi_decoder:
[legend]

## Public Types

typedef boost::shared_ptr< viterbi_decoder > | sptr

## Static Public Member Functions

static sptr | make (int constraint, const std::vector< int > &polynomials)
| Return a shared_ptr to a new instance of satellites::viterbi_decoder.

## Detailed Description

Viterbi decoder.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<viterbi_decoder> gr::satellites::viterbi_decoder::sptr

## Member Function Documentation

## make()

sptr gr::satellites::viterbi_decoder::make | ( | int | constraint,
|  | const std::vector< int > & | polynomials )

static

Return a shared_ptr to a new instance of satellites::viterbi_decoder.

To avoid accidental use of raw pointers, satellites::viterbi_decoder's constructor is in a private implementation class. satellites::viterbi_decoder::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- viterbi_decoder.h